#!/bin/sh
#
# Sound support for the Linux Terminal Server Project
#

REMOTESOUNDIP="`echo $DISPLAY | cut -d\":\" -f1`" 
REMOTESOUNDPORT="16001"

LIBESDPATH="/usr/lib/libesd.so.0"
LIBESDDSPPATH="/usr/lib/libesddsp.so.0"

# if netcat is installed, we'll check to see if the terminal is listening
if [ "$REMOTESOUNDIP" -a -x "`which nc 2> /dev/null`" ]
then
   if [ "`nc -v -w 1 -z $REMOTESOUNDIP $REMOTESOUNDPORT 2>&1 | grep -v open$`" ]
   then
      # netcat says the terminal is not listening, bail!
      unset REMOTESOUNDIP
      unset REMOTESOUNDPORT
      unset LIBESDPATH
      unset LIBESDDSPPATH
   fi
fi


# don't use this hack for local X sessions, root, and only if the pre-load
# libraries are found
if [ "$REMOTESOUNDIP" -a "$UID" -ne "0" -a -x "$LIBESDPATH" -a -x "$LIBESDDSPPATH" ]
then
   export ESPEAKER=${REMOTESOUNDIP}:16001
   export ESDDSP_MIXER=1
   export LD_PRELOAD="$LIBESDPATH $LIBESDDSPPATH"
   /usr/bin/esdctl unlock
fi


# clean up temporary variables
unset REMOTESOUNDIP
unset REMOTESOUNDPORT
unset LIBESDPATH
unset LIBESDDSPPATH
